## lo-menubar 0.0.2

=== wscript ===
import Options
import Utils
import platform

APPNAME='lo-menubar'
VERSION='0.0.2'

#-- OPTIONS --
def options(opt):
	#TODO: option for libreoffice prefix
	opt.load('compiler_cxx')
	opt.add_option('--libreoffice-prefix',
	               action='store',
	               default='/usr/lib/libreoffice',
	               dest="LO_PREFIX",
	               help='Libreoffice prefix')
   	opt.add_option('--ure-prefix',
	               action='store',
	               default='/usr/lib/ure',
	               dest="URE_PREFIX",
	               help='Libreoffice prefix')

#-- CONFIGURE TARGET --
def configure(conf):
	conf.load('compiler_cxx')
	
	uno_sdk_libpath = '%s/basis3.3/sdk/lib' % Options.options.LO_PREFIX
	
	conf.check_cxx(lib='uno_sal', uselib_store='SALLIB', libpath=uno_sdk_libpath, mandatory=True)
	conf.check_cxx(lib='uno_cppu', uselib_store='CPPULIB', libpath=uno_sdk_libpath, mandatory=True)
	#conf.check_cc(lib='uno_salhelpergcc3', uselib_store='SALHELPERLIB',  mandatory=True)
	conf.check_cxx(lib='uno_cppuhelpergcc3', uselib_store='CPPUHELPERLIB', libpath=uno_sdk_libpath,  mandatory=True)
	
	conf.find_program('cppumaker', var='CPPUMAKER', path_list=[Options.options.LO_PREFIX + '/basis3.3/sdk/bin'], mandatory=True)

	conf.env['TYPES_RDB'] = conf.find_file('types.rdb',
	                                       path_list=[Options.options.URE_PREFIX + '/share/misc/'],
	                                       mandatory=True)
	
	conf.env['OFFAPI_RDB'] = conf.find_file('offapi.rdb',
	                                        path_list=[Options.options.LO_PREFIX + '/basis3.3/program'],
	                                        mandatory=True)
	
	#TODO: Check if linking against stlport in 64bits is actually a problem
	stlport4 = conf.check_cxx(lib='stlport_gcc', uselib_store='STLPORTLIB', mandatory=False)
	if not stlport4:
		conf.check_cxx(lib='stlport', uselib_store='STLPORTLIB', mandatory=True)

	conf.check_cfg(package='gio-2.0', uselib_store='GIO',
	               atleast_version='2.26.0', args='--cflags --libs',
	               mandatory=True)

	conf.check_cfg(package='dbusmenu-glib-0.4', uselib_store='DBUSMENU',
	               atleast_version='0.3.96', args='--cflags --libs')
def cppumaker (bld):
	"""
	This helper generates the C++ headers for the IDL of the classes used.
	"""
	types = ["com.sun.star.awt.WindowAttribute",
				"com.sun.star.awt.KeyEvent",
				"com.sun.star.awt.XMessageBox",
				"com.sun.star.awt.XWindowPeer",
				"com.sun.star.awt.XSystemDependentWindowPeer",
				"com.sun.star.awt.SystemDependentXWindow",
				"com.sun.star.awt.XMenuBar",
				"com.sun.star.beans.NamedValue",
				"com.sun.star.beans.PropertyValue",
				"com.sun.star.beans.XPropertySet",
				"com.sun.star.container.XContainerQuery",
				"com.sun.star.container.XIndexContainer",
				"com.sun.star.container.XIndexAccess",
				"com.sun.star.container.XNameAccess",
				"com.sun.star.container.NoSuchElementException",
				"com.sun.star.document.XEventBroadcaster",
				"com.sun.star.frame.ControlCommand",
				"com.sun.star.frame.ControlEvent",
				"com.sun.star.frame.DispatchDescriptor",
				"com.sun.star.frame.XComponentLoader",
				"com.sun.star.frame.XController",
				"com.sun.star.frame.XControlNotificationListener",
				"com.sun.star.frame.XDispatch",
				"com.sun.star.frame.XDispatchProvider",
				"com.sun.star.frame.XDispatchHelper",
				"com.sun.star.frame.XFrame",
				"com.sun.star.frame.XFrameActionListener",
				"com.sun.star.frame.FrameActionEvent",
				"com.sun.star.frame.XLayoutManager",
				"com.sun.star.frame.XModel",
				"com.sun.star.frame.XStorable",
				"com.sun.star.frame.XStatusListener",
				"com.sun.star.frame.XModuleManager",
				"com.sun.star.lang.EventObject",
				"com.sun.star.lang.XInitialization",
				"com.sun.star.lang.XMultiServiceFactory",
				"com.sun.star.lang.XServiceInfo",
				"com.sun.star.lang.XSingleComponentFactory",
				"com.sun.star.lang.XSingleServiceFactory",
				"com.sun.star.lang.XTypeProvider",
				"com.sun.star.lang.SystemDependent",
				"com.sun.star.registry.XRegistryKey",
				"com.sun.star.sheet.XSpreadsheetView",
				"com.sun.star.system.SystemShellExecuteFlags",
				"com.sun.star.system.XSystemShellExecute",
				"com.sun.star.text.XTextCursor",
				"com.sun.star.text.XTextDocument",
				"com.sun.star.text.XTextViewCursor",
				"com.sun.star.text.XTextViewCursorSupplier",
				"com.sun.star.ui.XUIElement",
				"com.sun.star.ui.XUIElementSettings",
				"com.sun.star.ui.XAcceleratorConfiguration",
				"com.sun.star.ui.XUIConfigurationManagerSupplier",
				"com.sun.star.ui.XUIConfigurationManager",
				"com.sun.star.ui.XModuleUIConfigurationManagerSupplier",
				"com.sun.star.uno.XAggregation",
				"com.sun.star.uno.XComponentContext",
				"com.sun.star.uno.XWeak",
				"com.sun.star.view.XSelectionSupplier",
				"com.sun.star.task.XJob"]
	
	types_db = '%s %s' % (bld.env.TYPES_RDB, bld.env.OFFAPI_RDB)

	types_str = "-T" + " -T".join(types)
	target = bld.path.get_bld().abspath() + '/lo/include'

	bld.exec_command ('%s -Gc -BUCR -O%s %s %s' % (bld.env.CPPUMAKER, target, types_str, types_db))
	
	return target

def build(bld):
	includes = ['/usr/include/libreoffice']
	
	includes.append (cppumaker (bld))
	
	env = bld.env.copy()
	pattern = env['cxxshlib_PATTERN']
	env['cxxshlib_PATTERN']	= '%s.uno' + env['cxxshlib_PATTERN'].split("%s")[-1]
	env.append_value('LINKFLAGS', '-Wl,--version-script=%s/data/component.uno.map,-z origin' % bld.path.abspath())
	env.append_value('CXXFLAGS', '-g')
	
	target = 'menubar'
	
	bits = platform.architecture()[0][:-3]

	if bits == "64":
		lo_platform = "Linux_x86_64"
	else:
		lo_platform = "Linux_x86"
	
	bld.shlib(source='src/DesktopJob.cxx src/MyJob.cxx src/exports.cxx src/FrameHelper.cxx',
	          target=target,
	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU'],
	          includes=includes,
	          defines=['UNX', 'SAL_UNX', 'CPPU_ENV=gcc3'],
	          install_path='%s/share/extensions/%s/%s' % (Options.options.LO_PREFIX, target, lo_platform),
	          env=env,
	          chmod=Utils.O644)
	          
	bld(features='subst',
	    source='data/manifest.xml.in',
	    target='manifest.xml',
	    install_path='%s/share/extensions/%s/META-INF' % (Options.options.LO_PREFIX, target),
	    PLATFORM=lo_platform,
	    COMPONENT=env['cxxshlib_PATTERN'] % target)
	    
	    
	bld.install_files('%s/share/extensions/%s' % (Options.options.LO_PREFIX, target), bld.path.ant_glob('data/*.xcu'))
	
#	def post_install (ctx):
#		if ctx.cmd != 'install':
#			return
#		ctx.exec_command ('/usr/lib/ure/bin/regcomp -register -wop="vnd.sun.star.expand:\$OOO_BASE_DIR/program/" -r /usr/lib/libreoffice/basis3.3/program/appmenu.rdb -c /usr/lib/libreoffice/basis3.3/program/%s.uno.so' % 'menubar')
	
#	bld.add_post_fun (post_install)
	          
def oxt (ctx):
	from zipfile import ZipFile
	zipfile = ZipFile('plugin.oxt', 'w')
	count = len(ctx.path.abspath() + '/plugin/')
	elements = ctx.path.ant_glob('plugin/**')
	for f in elements:
		zipfile.write (f.abspath(), f.abspath()[count:])
	zipfile.close ()

=== debian/changelog ===
lo-menubar (0.0.2-0ubuntu1) natty; urgency=low

  * Initial release (LP: #723155)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 24 Feb 2011 09:17:10 -0500

=== debian/control ===
Source: lo-menubar
Section: libs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cdbs (>= 0.4.41),
               libdbusmenu-glib-dev,
               libstlport5.2-dev,
               libreoffice-dev
Standards-Version: 3.9.1
Homepage: https://launchpad.net/lo-menubar
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/lo-menubar/ubuntu

Package: lo-menubar
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libreoffice-gtk
Description: A LibreOffice extension for the global menubar
 A LibreOffice extension to send the menubar structure through DBusMenu.

## lo-menubar 0.0.3

=== debian/changelog ===
lo-menubar (0.0.3-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixed handling of disabled and checkable menus broken in 
      libreoffice 3.3.1

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 08 Mar 2011 13:27:25 -0500

lo-menubar (0.0.2-0ubuntu2) natty; urgency=low

  * wscript
    - Don't check for stlport, we don't use it
  * debian/control
    - Dropped build depends for libstlport5.2-dev, we don't need it and fixes
      FTBFS on i386

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 01 Mar 2011 13:02:18 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper (>= 7.0.50~),
                cdbs (>= 0.4.41),
                libdbusmenu-glib-dev,
-               libstlport5.2-dev,
                libreoffice-dev
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/lo-menubar

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

waf-configure-options = --prefix=/usr

DEB_MAKE_CLEAN_TARGET = clean
DEB_MAKE_CONFIGURE_TARGET = configure
DEB_MAKE_INSTALL_TARGET = install
DEB_MAKE_INVOKE = ./waf -v --destdir=$(CURDIR)/debian/lo-menubar/

clean::
	rm -f .lock-wscript
	rm -rf .waf*
	rm -rf build/

common-configure-arch common-configure-indep:: common-configure-impl
common-configure-impl:: debian/stamp-waf-configure
debian/stamp-waf-configure:
	./waf $(waf-configure-options) $(DEB_MAKE_CONFIGURE_TARGET)
	touch $@
clean::
	rm -f debian/stamp-waf-configure

build/lo-menubar:: debian/stamp-waf-build
debian/stamp-waf-build: 
	$(DEB_MAKE_INVOKE)
	touch $@
clean::
	rm -f debian/stamp-waf-build

install/lo-menubar:: debian/stamp-waf-install
debian/stamp-waf-install:
	$(DEB_MAKE_INVOKE) $(DEB_MAKE_INSTALL_TARGET)
	touch $@
clean::
	rm -f debian/stamp-waf-install

## lo-menubar 0.0.4

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.2'
+VERSION='0.0.3'
 
 #-- OPTIONS --
 def options(opt):
@@ -41,11 +41,6 @@
 	                                        path_list=[Options.options.LO_PREFIX + '/basis3.3/program'],
 	                                        mandatory=True)
 	
-	#TODO: Check if linking against stlport in 64bits is actually a problem
-	stlport4 = conf.check_cxx(lib='stlport_gcc', uselib_store='STLPORTLIB', mandatory=False)
-	if not stlport4:
-		conf.check_cxx(lib='stlport', uselib_store='STLPORTLIB', mandatory=True)
-
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO',
 	               atleast_version='2.26.0', args='--cflags --libs',
 	               mandatory=True)
@@ -59,10 +54,15 @@
 	types = ["com.sun.star.awt.WindowAttribute",
 				"com.sun.star.awt.KeyEvent",
 				"com.sun.star.awt.XMessageBox",
+				"com.sun.star.awt.XWindow2",
 				"com.sun.star.awt.XWindowPeer",
 				"com.sun.star.awt.XSystemDependentWindowPeer",
 				"com.sun.star.awt.SystemDependentXWindow",
+				"com.sun.star.awt.XMenu",
 				"com.sun.star.awt.XMenuBar",
+				"com.sun.star.awt.XMenuExtended",
+				"com.sun.star.awt.XPopupMenu",
+				"com.sun.star.awt.XPopupMenuExtended",
 				"com.sun.star.beans.NamedValue",
 				"com.sun.star.beans.PropertyValue",
 				"com.sun.star.beans.XPropertySet",
@@ -89,6 +89,10 @@
 				"com.sun.star.frame.XStorable",
 				"com.sun.star.frame.XStatusListener",
 				"com.sun.star.frame.XModuleManager",
+				"com.sun.star.frame.XStatusListener",
+				"com.sun.star.frame.FeatureStateEvent",
+				"com.sun.star.frame.FrameSearchFlag",
+				"com.sun.star.frame.status.Visibility",
 				"com.sun.star.lang.EventObject",
 				"com.sun.star.lang.XInitialization",
 				"com.sun.star.lang.XMultiServiceFactory",
@@ -114,6 +118,8 @@
 				"com.sun.star.uno.XAggregation",
 				"com.sun.star.uno.XComponentContext",
 				"com.sun.star.uno.XWeak",
+				"com.sun.star.util.URL",
+				"com.sun.star.util.XURLTransformer",
 				"com.sun.star.view.XSelectionSupplier",
 				"com.sun.star.task.XJob"]
 	
@@ -146,7 +152,7 @@
 	else:
 		lo_platform = "Linux_x86"
 	
-	bld.shlib(source='src/DesktopJob.cxx src/MyJob.cxx src/exports.cxx src/FrameHelper.cxx',
+	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx',
 	          target=target,
 	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU'],
 	          includes=includes,
@@ -180,5 +186,3 @@
 	for f in elements:
 		zipfile.write (f.abspath(), f.abspath()[count:])
 	zipfile.close ()
-	
-

=== debian/changelog ===
lo-menubar (0.0.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - menus aren't loaded when opening a document (LP: #731534)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 09 Mar 2011 09:38:36 -0500

## lo-menubar 0.0.5

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.3'
+VERSION='0.0.5'
 
 #-- OPTIONS --
 def options(opt):
@@ -90,6 +90,7 @@
 				"com.sun.star.frame.XStatusListener",
 				"com.sun.star.frame.XModuleManager",
 				"com.sun.star.frame.XStatusListener",
+				"com.sun.star.frame.XPopupMenuController",
 				"com.sun.star.frame.FeatureStateEvent",
 				"com.sun.star.frame.FrameSearchFlag",
 				"com.sun.star.frame.status.Visibility",
@@ -141,6 +142,7 @@
 	pattern = env['cxxshlib_PATTERN']
 	env['cxxshlib_PATTERN']	= '%s.uno' + env['cxxshlib_PATTERN'].split("%s")[-1]
 	env.append_value('LINKFLAGS', '-Wl,--version-script=%s/data/component.uno.map,-z origin' % bld.path.abspath())
+	env.append_value('CXXFLAGS', '-Wall')
 	env.append_value('CXXFLAGS', '-g')
 	
 	target = 'menubar'

=== debian/changelog ===
lo-menubar (0.0.5-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixed some crashes and memory leaks while opening and 
      closing documents.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 11 Mar 2011 13:55:14 -0500

## lo-menubar 0.0.6

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.5'
+VERSION='0.0.6'
 
 #-- OPTIONS --
 def options(opt):
@@ -46,13 +46,25 @@
 	               mandatory=True)
 
 	conf.check_cfg(package='dbusmenu-glib-0.4', uselib_store='DBUSMENU',
-	               atleast_version='0.3.96', args='--cflags --libs')
+	               atleast_version='0.3.99', args='--cflags --libs')	               
+	conf.check_cfg(package='dbusmenu-gtk-0.4', uselib_store='DBUSMENUGTK',
+	               atleast_version='0.3.99', args='--cflags --libs')
+	conf.check_cfg(package='gtk+-2.0', uselib_store='GTK',
+	               atleast_version='2.24.1', args='--cflags --libs')
+	conf.check_cfg(package='atk', uselib_store='ATK',
+	               atleast_version='1.33.6', args='--cflags --libs')
+	conf.check_cfg(package='gdk-pixbuf-2.0', uselib_store='GDKPIXBUF',
+	               atleast_version='2.23.0', args='--cflags --libs')
+	conf.check_cfg(package='gdk-2.0', uselib_store='GDK',
+	               atleast_version='2.24.1', args='--cflags --libs')
 def cppumaker (bld):
 	"""
 	This helper generates the C++ headers for the IDL of the classes used.
 	"""
 	types = ["com.sun.star.awt.WindowAttribute",
+				"com.sun.star.awt.Key",
 				"com.sun.star.awt.KeyEvent",
+				"com.sun.star.awt.KeyModifier",
 				"com.sun.star.awt.XMessageBox",
 				"com.sun.star.awt.XWindow2",
 				"com.sun.star.awt.XWindowPeer",
@@ -72,6 +84,8 @@
 				"com.sun.star.container.XNameAccess",
 				"com.sun.star.container.NoSuchElementException",
 				"com.sun.star.document.XEventBroadcaster",
+				"com.sun.star.document.XEventListener",
+				"com.sun.star.document.EventObject",
 				"com.sun.star.frame.ControlCommand",
 				"com.sun.star.frame.ControlEvent",
 				"com.sun.star.frame.DispatchDescriptor",
@@ -156,7 +170,7 @@
 	
 	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx',
 	          target=target,
-	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU'],
+	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU', 'DBUSMENUGTK', 'GDKPIXBUF', 'GTK', 'GDK', 'ATK'],
 	          includes=includes,
 	          defines=['UNX', 'SAL_UNX', 'CPPU_ENV=gcc3'],
 	          install_path='%s/share/extensions/%s/%s' % (Options.options.LO_PREFIX, target, lo_platform),
@@ -172,19 +186,21 @@
 	    
 	    
 	bld.install_files('%s/share/extensions/%s' % (Options.options.LO_PREFIX, target), bld.path.ant_glob('data/*.xcu'))
-	
+
+## Post installation trigger, doesn't work
 #	def post_install (ctx):
 #		if ctx.cmd != 'install':
 #			return
 #		ctx.exec_command ('/usr/lib/ure/bin/regcomp -register -wop="vnd.sun.star.expand:\$OOO_BASE_DIR/program/" -r /usr/lib/libreoffice/basis3.3/program/appmenu.rdb -c /usr/lib/libreoffice/basis3.3/program/%s.uno.so' % 'menubar')
-	
+#	
 #	bld.add_post_fun (post_install)
-	          
-def oxt (ctx):
-	from zipfile import ZipFile
-	zipfile = ZipFile('plugin.oxt', 'w')
-	count = len(ctx.path.abspath() + '/plugin/')
-	elements = ctx.path.ant_glob('plugin/**')
-	for f in elements:
-		zipfile.write (f.abspath(), f.abspath()[count:])
-	zipfile.close ()
+
+## Creating the OXT file
+#def oxt (ctx):
+#	from zipfile import ZipFile
+#	zipfile = ZipFile('plugin.oxt', 'w')
+	#count = len(ctx.path.abspath() + '/plugin/')
+#	elements = ctx.path.ant_glob('plugin/**')
+#	for f in elements:
+#		zipfile.write (f.abspath(), f.abspath()[count:])
+#	zipfile.close ()

=== debian/changelog ===
lo-menubar (0.0.6-0ubuntu2) natty; urgency=low

  * debian/control
    - Added build-depends for libdbusmenu-gtk

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 14 Mar 2011 16:48:37 -0400

lo-menubar (0.0.6-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Shortcuts for entries are not present (LP: #720661)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 14 Mar 2011 15:53:53 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
                cdbs (>= 0.4.41),
-               libdbusmenu-glib-dev,
+               libdbusmenu-glib-dev (>= 0.3.99),
+               libdbusmenu-gtk-dev (>= 0.3.99),
                libreoffice-dev
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/lo-menubar

## lo-menubar 0.0.9

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.6'
+VERSION='0.0.9'
 
 #-- OPTIONS --
 def options(opt):
@@ -56,7 +56,10 @@
 	conf.check_cfg(package='gdk-pixbuf-2.0', uselib_store='GDKPIXBUF',
 	               atleast_version='2.23.0', args='--cflags --libs')
 	conf.check_cfg(package='gdk-2.0', uselib_store='GDK',
-	               atleast_version='2.24.1', args='--cflags --libs')
+	               atleast_version='2.24.1', args='--cflags --libs')	               
+	conf.check_cfg(package='x11', uselib_store='X11', args='--cflags --libs')
+	conf.check_cfg(package='xproto', uselib_store='XPROTO', args='--cflags --libs')
+	 
 def cppumaker (bld):
 	"""
 	This helper generates the C++ headers for the IDL of the classes used.
@@ -168,9 +171,9 @@
 	else:
 		lo_platform = "Linux_x86"
 	
-	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx',
+	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx src/AwtKeyToDbusmenuString.cxx',
 	          target=target,
-	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU', 'DBUSMENUGTK', 'GDKPIXBUF', 'GTK', 'GDK', 'ATK'],
+	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU', 'DBUSMENUGTK', 'GDKPIXBUF', 'GTK', 'GDK', 'ATK', 'X11', 'XPROTO'],
 	          includes=includes,
 	          defines=['UNX', 'SAL_UNX', 'CPPU_ENV=gcc3'],
 	          install_path='%s/share/extensions/%s/%s' % (Options.options.LO_PREFIX, target, lo_platform),

=== debian/changelog ===
lo-menubar (0.0.9-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Recent files commands do not get executed (LP: #735054)
    - Non alphanumeric (A-Z) shortcuts are not shown (LP: #731967)
  * debian/control
    - Added x11proto-core-dev and libx11-dev to build depends

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Mar 2011 15:54:34 -0400

## lo-menubar 0.1.0

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.0.9'
+VERSION='0.1.0'
 
 #-- OPTIONS --
 def options(opt):
@@ -59,14 +59,16 @@
 	               atleast_version='2.24.1', args='--cflags --libs')	               
 	conf.check_cfg(package='x11', uselib_store='X11', args='--cflags --libs')
 	conf.check_cfg(package='xproto', uselib_store='XPROTO', args='--cflags --libs')
-	 
+
 def cppumaker (bld):
 	"""
 	This helper generates the C++ headers for the IDL of the classes used.
+	These headers are stored inside the build/lo/include directory.
 	"""
 	types = ["com.sun.star.awt.WindowAttribute",
 				"com.sun.star.awt.Key",
 				"com.sun.star.awt.KeyEvent",
+				"com.sun.star.awt.MenuEvent",
 				"com.sun.star.awt.KeyModifier",
 				"com.sun.star.awt.XMessageBox",
 				"com.sun.star.awt.XWindow2",
@@ -171,7 +173,13 @@
 	else:
 		lo_platform = "Linux_x86"
 	
-	bld.shlib(source='src/DesktopJob.cxx src/FrameJob.cxx src/exports.cxx src/FrameHelper.cxx src/AwtKeyToDbusmenuString.cxx',
+	bld.shlib(source=['src/DesktopJob.cxx',
+	                  'src/FrameJob.cxx',
+	                  'src/exports.cxx',
+	                  'src/FrameHelper.cxx',
+	                  'src/AwtKeyToDbusmenuString.cxx',
+	                  'src/MenuItemInfo.cxx',
+	                  'src/MenuItemStatusListener.cxx'],
 	          target=target,
 	          uselib=['SALLIB', 'CPPULIB', 'CPPUHELPERLIB', 'GIO', 'DBUSMENU', 'DBUSMENUGTK', 'GDKPIXBUF', 'GTK', 'GDK', 'ATK', 'X11', 'XPROTO'],
 	          includes=includes,

=== debian/changelog ===
lo-menubar (0.1.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixed crash on Print Preview
    - Fixed crash on formula editting

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 21 Mar 2011 10:19:38 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
                cdbs (>= 0.4.41),
                libdbusmenu-glib-dev (>= 0.3.99),
                libdbusmenu-gtk-dev (>= 0.3.99),
-               libreoffice-dev
+               libreoffice-dev,
+               x11proto-core-dev,
+               libx11-dev
 Standards-Version: 3.9.1
 Homepage: https://launchpad.net/lo-menubar
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/lo-menubar/ubuntu

## lo-menubar 0.1.1

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import platform
 
 APPNAME='lo-menubar'
-VERSION='0.1.0'
+VERSION='0.1.1'
 
 #-- OPTIONS --
 def options(opt):
@@ -24,21 +24,22 @@
 def configure(conf):
 	conf.load('compiler_cxx')
 	
-	uno_sdk_libpath = '%s/basis3.3/sdk/lib' % Options.options.LO_PREFIX
+	uno_sdk_libpath = '%s/sdk/lib' % Options.options.LO_PREFIX
 	
 	conf.check_cxx(lib='uno_sal', uselib_store='SALLIB', libpath=uno_sdk_libpath, mandatory=True)
 	conf.check_cxx(lib='uno_cppu', uselib_store='CPPULIB', libpath=uno_sdk_libpath, mandatory=True)
 	#conf.check_cc(lib='uno_salhelpergcc3', uselib_store='SALHELPERLIB',  mandatory=True)
 	conf.check_cxx(lib='uno_cppuhelpergcc3', uselib_store='CPPUHELPERLIB', libpath=uno_sdk_libpath,  mandatory=True)
-	
-	conf.find_program('cppumaker', var='CPPUMAKER', path_list=[Options.options.LO_PREFIX + '/basis3.3/sdk/bin'], mandatory=True)
+        conf.check_cxx(header_name='boost/scoped_ptr.hpp')
+	
+	conf.find_program('cppumaker', var='CPPUMAKER', path_list=[Options.options.LO_PREFIX + '/sdk/bin'], mandatory=True)
 
 	conf.env['TYPES_RDB'] = conf.find_file('types.rdb',
 	                                       path_list=[Options.options.URE_PREFIX + '/share/misc/'],
 	                                       mandatory=True)
 	
 	conf.env['OFFAPI_RDB'] = conf.find_file('offapi.rdb',
-	                                        path_list=[Options.options.LO_PREFIX + '/basis3.3/program'],
+	                                        path_list=[Options.options.LO_PREFIX + '/program/types'],
 	                                        mandatory=True)
 	
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO',

=== debian/changelog ===
lo-menubar (0.1.1-0ubuntu3) quantal; urgency=low

  * Change lo-menubar to a transitional package depending on libreoffice-gtk
    since libreoffice now ships a proper menubar; Drop all build-deps save for
    debhelper
    - update debian/control
  * Add empty install file so nothing is installed in this package
    - add debian/lo-menubar.install
  * Switch to dh rules.tiny style
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 05 Oct 2012 09:39:19 -0500

lo-menubar (0.1.1-0ubuntu2) quantal; urgency=low

  * Transition libboost1.46-dev -> libboost-dev

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 Aug 2012 20:58:36 +0100

lo-menubar (0.1.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/watch
    - added
  * debian/control
    - bump standards version to 3.9.3
    - added build depends for libboost1.46-dev
  * debian/source/local-options
    - Use single-debian-patch to better handle VCS applied changes
  * waf
    - cherry picked unpacked waflib

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 10 May 2012 15:12:01 -0400

lo-menubar (0.1.0-0ubuntu4) precise; urgency=low

  * d/p/01-adapt-paths-for-libreoffice-3.5.patch: (LP: #935282)
    Libreoffice3.5 dropped the basis link, adjust the patch to fix FTBFS

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 27 Feb 2012 21:22:59 +0100

lo-menubar (0.1.0-0ubuntu3) oneiric; urgency=low

  * Adapt to LibreOffice 3.4 paths to fix FTFBS - LP: #833889

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 31 Aug 2011 15:42:50 +0000

lo-menubar (0.1.0-0ubuntu2) oneiric; urgency=low

  * No change rebuild for libdbusmenu transition

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 11 Jul 2011 13:40:46 +0200

=== debian/control ===
Source: lo-menubar
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
Standards-Version: 3.9.3

Package: lo-menubar
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libreoffice-gtk
Description: LibreOffice extension for the global menubar (dummy package)
 This is an empty package to ensure proper upgrades to the new menubar in
 LibreOffice. You can remove this package.

=== debian/watch ===
version=3
https://launchpad.net/lo-menubar/+download .*/lo-menubar-([0-9.]+)\.tar\.bz2
